import _sfc_main$1 from "./AppLayout.156ff824.js";
import { d as defineComponent, af as useRoute, m as resolveComponent, o as openBlock, H as createBlock, t as withCtx, s as createVNode, X as Transition, W as resolveDynamicComponent, f as unref } from "./vendor.07f7b9b8.js";
import "./index.8abb0cd5.js";
import "./VIconButton.a5d75c06.js";
import "./VAvatar.e217127b.js";
import "./VControl.1cb71108.js";
import "./VField.3e3f434e.js";
import "./VModal.05bf9bc5.js";
import "./VPlaceloadText.ff1c95cc.js";
import "./VDropdown.39532299.js";
import "./VIcon.72bd6243.js";
import "./mesaService.0c6094ff.js";
import "./masterService.21d62425.js";
import "./navbarLayoutState.d85561be.js";
var block0 = {};
const _sfc_main = /* @__PURE__ */ defineComponent({
  setup(__props) {
    const route = useRoute();
    return (_ctx, _cache) => {
      const _component_RouterView = resolveComponent("RouterView");
      const _component_AppLayout = _sfc_main$1;
      return openBlock(), createBlock(_component_AppLayout, null, {
        default: withCtx(() => [
          createVNode(_component_RouterView, null, {
            default: withCtx(({ Component }) => [
              createVNode(Transition, {
                name: "fade-fast",
                mode: "out-in"
              }, {
                default: withCtx(() => [
                  (openBlock(), createBlock(resolveDynamicComponent(Component), {
                    key: unref(route).fullPath
                  }))
                ]),
                _: 2
              }, 1024)
            ]),
            _: 1
          })
        ]),
        _: 1
      });
    };
  }
});
if (typeof block0 === "function")
  block0(_sfc_main);
export { _sfc_main as default };
